TransactionType (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.TransactionType interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Interface TransactionType

All Known Implementing Classes:
  TransactionInfo, XATransactionInfo

public interface TransactionType

Version:
  $Revision: 1.4 $

Field Summary
`static int` | `COMMIT` Commit a transaction
`static int` | `COMMIT_ONE_PHASE` Do a one phase commit...
`static int` | `END` End a transaction
`static int` | `FORGET` Forget a transaction
`static int` | `GET_RM_ID` Gets the unique id of the resource manager.
`static int` | `GET_TX_TIMEOUT` Get a the transaction timeout for the RM
`static int` | `JOIN` Join a transaction
`static int` | `NOT_SET` Transaction state not set
`static int` | `PRE_COMMIT` Pre-commit a transaction
`static int` | `RECOVER` Recover a transaction
`static int` | `ROLLBACK` Rollback a transaction
`static int` | `SET_TX_TIMEOUT` Set a the transaction timeout for the RM
`static int` | `START` Start a transaction
`static int` | `XA_RECOVER` Get a list of all the XIDs that are currently prepared.

Field Detail

### NOT_SET

    public static final int NOT_SET

  Transaction state not set

  See Also:
    Constant Field Values

### START

    public static final int START

  Start a transaction

  See Also:
    Constant Field Values

### PRE_COMMIT

    public static final int PRE_COMMIT

  Pre-commit a transaction

  See Also:
    Constant Field Values

### COMMIT

    public static final int COMMIT

  Commit a transaction

  See Also:
    Constant Field Values

### RECOVER

    public static final int RECOVER

  Recover a transaction

  See Also:
    Constant Field Values

### ROLLBACK

    public static final int ROLLBACK

  Rollback a transaction

  See Also:
    Constant Field Values

### END

    public static final int END

  End a transaction

  See Also:
    Constant Field Values

### FORGET

    public static final int FORGET

  Forget a transaction

  See Also:
    Constant Field Values

### JOIN

    public static final int JOIN

  Join a transaction

  See Also:
    Constant Field Values

### COMMIT_ONE_PHASE

    public static final int COMMIT_ONE_PHASE

  Do a one phase commit... No PRE COMMIT has been done.

  See Also:
    Constant Field Values

### XA_RECOVER

    public static final int XA_RECOVER

  Get a list of all the XIDs that are currently prepared.

  See Also:
    Constant Field Values

### GET_TX_TIMEOUT

    public static final int GET_TX_TIMEOUT

  Get a the transaction timeout for the RM

  See Also:
    Constant Field Values

### SET_TX_TIMEOUT

    public static final int SET_TX_TIMEOUT

  Set a the transaction timeout for the RM

  See Also:
    Constant Field Values

### GET_RM_ID

    public static final int GET_RM_ID

  Gets the unique id of the resource manager.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.